## gnome-settings-daemon 46.0

=== meson_options.txt ===
option('udev_dir', type: 'string', value: '', description: 'Absolute path of the udev base directory')
option('systemd', type: 'boolean', value: true, description: 'Enable systemd integration')

option('alsa', type: 'boolean', value: true, description: 'build with ALSA support (not optional on Linux platforms)')
option('gudev', type: 'boolean', value: true, description: 'build with gudev device support (not optional on Linux platforms)')
option('cups', type: 'boolean', value: true, description: 'build with CUPS support')
option('network_manager', type: 'boolean', value: true, description: 'build with NetworkManager support (not optional on Linux platforms)')
option('rfkill', type: 'boolean', value: true, description: 'build with rfkill support (not optional on Linux platforms)')
option('smartcard', type: 'boolean', value: true, description: 'build with smartcard support')
option('usb-protection', type: 'boolean', value: true, description: 'build with usb-protection support')
option('wayland', type: 'boolean', value: true, description: 'build with Wayland support')
option('wwan', type: 'boolean', value: true, description: 'build with WWAN support')
option('gcr3', type: 'boolean', value: false, description: 'build with gcr3, otherwise gcr4 is used')
option('colord', type: 'boolean', value: true, description: 'build with colord support')

=== debian/changelog ===
gnome-settings-daemon (46.0-5ubuntu1) oracular; urgency=medium

  * Merge with Debian. Remaining changes:
    + debian/control:
      - Build-depend on accountsservice
    + debian/patches/ubuntu:
      - keyboard-sync-input-sources-to-accountsservice.patch
      - keyboard-Use-ibus-sources-from-locale.patch
      - lid-close-suspend-support.patch
      - media-keys-correct-logout-action.patch
      - media-keys-restore-terminal-keyboard-shortcut-schema.patch
      - print-notifications-suppress-printer-may-not-be-connected.patch
      - teach-gsd-about-the-gnome-calculator-snap-.desktop-name.patch
    + debian/gnome-settings-daemon.install:
      - Install apport hook

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 10 Jul 2024 12:35:13 -0400

gnome-settings-daemon (46.0-5) unstable; urgency=medium

  * Further adjust Build-Depends to fix build tests for several Debian ports

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 10 Jul 2024 11:05:08 -0400

gnome-settings-daemon (46.0-4) unstable; urgency=medium

  * Fix Build-Depends for architectures missing some build test dependencies

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 09 Jul 2024 15:58:27 -0400

gnome-settings-daemon (46.0-3) unstable; urgency=medium

  * Don't require build test dependencies on architectures where they
    aren't available
  * Ignore build tests failures for mips64el & riscv64 since they
    require working mutter. Similar skipping is done in mutter too.
  * Drop references to freebsd

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 09 Jul 2024 10:39:36 -0400

gnome-settings-daemon (46.0-2) unstable; urgency=medium

  [ Philip Withnall ]
  * Depend on umockdev for build tests

  [ Jeremy Bícha ]
  * Depend on gnome-session-bin for build tests
  * Bump Standards Version to 4.7.0

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 08 Jul 2024 16:16:53 -0400

gnome-settings-daemon (46.0-1ubuntu1) noble; urgency=medium

  * Merge with Debian (LP: #2062169). Remaining changes:
    + debian/control:
      - Build-depend on accountsservice
    + debian/patches/ubuntu:
      - keyboard-sync-input-sources-to-accountsservice.patch
      - keyboard-Use-ibus-sources-from-locale.patch
      - lid-close-suspend-support.patch
      - media-keys-correct-logout-action.patch
      - media-keys-restore-terminal-keyboard-shortcut-schema.patch
      - print-notifications-suppress-printer-may-not-be-connected.patch
      - teach-gsd-about-the-gnome-calculator-snap-.desktop-name.patch
    + debian/gnome-settings-daemon.install:
      - Install apport hook

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 18 Apr 2024 06:59:35 -0400

gnome-settings-daemon (46.0-1) unstable; urgency=medium

  [ Jeremy Bícha ]
  * New upstream release

  [ Michael Biebl ]
  * Build-depend on systemd-dev instead of systemd (Closes: #1060576)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 21 Mar 2024 19:47:25 -0400

gnome-settings-daemon (46~beta-2ubuntu8) noble; urgency=medium

  * No-change rebuild against libasound2t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 07 Apr 2024 07:15:00 +0000

gnome-settings-daemon (46~beta-2ubuntu7) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 06:10:55 +0000

gnome-settings-daemon (46~beta-2ubuntu6) noble; urgency=medium

  * No-change rebuild for mutter ABI changes on armhf.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 25 Mar 2024 19:27:20 +0100

gnome-settings-daemon (46~beta-2ubuntu5) noble; urgency=high

  * No change rebuild against libcanberra-gtk3-0t64, libcanberra0t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Sun, 24 Mar 2024 16:22:06 +0100

gnome-settings-daemon (46~beta-2ubuntu4) noble; urgency=medium

  * No-change rebuild against libcups2t64.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Wed, 20 Mar 2024 13:48:47 +1300

gnome-settings-daemon (46~beta-2ubuntu3) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 11 Mar 2024 22:44:50 +0000

gnome-settings-daemon (46~beta-2ubuntu2) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 04:43:24 +0000

gnome-settings-daemon (46~beta-2ubuntu1) noble; urgency=medium

  * Merge with Debian. Remaining changes:
    + debian/control:
      - Build-depend on accountsservice
    + debian/patches/ubuntu:
      - keyboard-sync-input-sources-to-accountsservice.patch
      - keyboard-Use-ibus-sources-from-locale.patch
      - lid-close-suspend-support.patch
      - media-keys-correct-logout-action.patch
      - media-keys-restore-terminal-keyboard-shortcut-schema.patch
      - print-notifications-suppress-printer-may-not-be-connected.patch
      - teach-gsd-about-the-gnome-calculator-snap-.desktop-name.patch
    + debian/gnome-settings-daemon.install:
      - Install apport hook

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 27 Feb 2024 15:39:31 -0500

gnome-settings-daemon (46~beta-2) unstable; urgency=high

  * Build with gcr4
  * Bump minimum gsettings-desktop-schemas to 46~beta (Closes: #1064438)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 27 Feb 2024 15:36:39 -0500

gnome-settings-daemon (46~beta-1ubuntu1) noble; urgency=medium

  * Merge with Debian. Remaining changes:
    + debian/control:
      - Build-depend on accountsservice
    + debian/patches/ubuntu:
      - keyboard-sync-input-sources-to-accountsservice.patch
      - keyboard-Use-ibus-sources-from-locale.patch
      - lid-close-suspend-support.patch
      - media-keys-correct-logout-action.patch
      - media-keys-restore-terminal-keyboard-shortcut-schema.patch
      - print-notifications-suppress-printer-may-not-be-connected.patch
      - teach-gsd-about-the-gnome-calculator-snap-.desktop-name.patch
    + debian/gnome-settings-daemon.install:
      - Install apport hook

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 13 Feb 2024 09:04:11 -0500



=== debian/control ===
Source: gnome-settings-daemon
Section: gnome
Priority: optional
Maintainer: Ubuntu Desktop Team <ubuntu-desktop@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Amin Bandali <bandali@ubuntu.com>,
           Gunnar Hjalmarsson <gunnarhj@debian.org>,
           Jeremy Bícha <jbicha@ubuntu.com>,
           Laurent Bigonville <bigon@debian.org>,
           Marco Trevisan (Treviño) <marco@ubuntu.com>
Build-Depends: debhelper-compat (= 13),
               dh-exec,
               dh-sequence-gnome,
               gir1.2-umockdev-1.0 [!hurd-any !alpha !hppa !loong64 !powerpc !ppc64] <!nocheck>,
               gnome-session-bin [!hurd-any !alpha !hppa !loong64 !powerpc !ppc64] <!nocheck>,
               gsettings-desktop-schemas-dev (>= 46~beta),
               gtk-doc-tools,
               intltool,
               libaccountsservice-dev (>= 0.6.34),
               libasound2-dev [linux-any],
               libcanberra-gtk3-dev,
               libcolord-dev [linux-any],
               libcups2-dev,
               libfontconfig-dev,
               libgcr-4-dev [linux-any],
               libgeoclue-2-dev,
               libgeocode-glib-dev (>= 3.26.3),
               libglib2.0-dev,
               libglib2.0-dev:native,
               libgnome-desktop-3-dev,
               libgtk-3-dev,
               libgudev-1.0-dev [linux-any],
               libgweather-4-dev (>= 4.1),
               libibus-1.0-dev,
               liblcms2-dev,
               libmm-glib-dev [linux-any],
               libnm-dev [linux-any],
               libnotify-dev,
               libpackagekit-glib2-dev,
               libpolkit-gobject-1-dev (>= 0.114),
               libpulse-dev,
               libsystemd-dev [linux-any],
               libupower-glib-dev (>= 0.99.12),
               libwacom-dev [!hurd-any !s390 !s390x],
               libx11-dev,
               libxext-dev,
               libxfixes-dev (>= 1:6.0),
               libxi-dev,
               libxt-dev,
               meson,
               mutter [!hurd-any !alpha !hppa !loong64 !powerpc !ppc64] <!nocheck>,
               polkitd,
               python3-dbusmock <!nocheck>,
               python3-gi <!nocheck>,
               systemd-dev [linux-any],
               udev [linux-any] <!nocheck>,
               umockdev [!hurd-any !alpha !hppa !loong64 !powerpc !ppc64] <!nocheck>,
               xauth <!nocheck>,
               xkb-data,
               xserver-xorg-input-wacom [!hurd-any !s390 !s390x],
               xvfb <!nocheck>
Standards-Version: 4.7.0
Homepage: https://gitlab.gnome.org/GNOME/gnome-settings-daemon
XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/gnome-settings-daemon.git
XS-Debian-Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-settings-daemon
Vcs-Git: https://salsa.debian.org/gnome-team/gnome-settings-daemon.git -b ubuntu/master
Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-settings-daemon/tree/ubuntu/master
Rules-Requires-Root: no

Package: gnome-settings-daemon
Architecture: any
Depends: default-logind [linux-any] | logind [linux-any],
         gnome-settings-daemon-common (= ${source:Version}),
         gsettings-desktop-schemas (>= 46~beta),
         libspa-0.2-bluetooth | pulseaudio-module-bluetooth,
         pipewire-audio | pulseaudio,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: iio-sensor-proxy,
            pipewire-audio,
            pkexec,
            x11-xserver-utils
Suggests: usbguard
Breaks: gnome-control-center (<< 1:41.4-2~),
        libgtk-4-0 (<< 3.99.1~),
        libmutter-6-0 (<< 3.37),
        libmutter-7-0 (<< 3.39)
Description: daemon handling the GNOME session settings
 This package contains the daemon which is responsible for setting the
 various parameters of a GNOME session and the applications that run
 under it. It handles the following kinds of settings:
 .
  * Keyboard: layout, accessibility options, shortcuts, media keys
  * Clipboard management
  * Theming: background, icons, GTK+ applications
  * Cleanup of unused files
  * Mouse: cursors, speed, accessibility options
  * Startup of other daemons: screensaver, sound daemon
 .
 It also sets various application settings through X resources and
 freedesktop.org XSETTINGS.

Package: gnome-settings-daemon-common
Architecture: all
Depends: ${misc:Depends}
Replaces: gnome-settings-daemon-schemas (<< 3.30.1.2-2~)
Breaks: gnome-settings-daemon-schemas (<< 3.30.1.2-2~)
Provides: gnome-settings-daemon-schemas (= ${source:Version})
Description: daemon handling the GNOME session settings - common files
 This package contains GSettings schemas and other architecture-independent
 files for GNOME Settings Daemon. It is probably not interesting on its own for
 end users, but packages may depend on this if they only need to read and write
 settings & don't themselves care if the settings daemon is actually running or
 not.

Package: gnome-settings-daemon-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libglib2.0-dev,
         ${misc:Depends},
         ${shlibs:Depends}
Description: Headers for building applications communicating with gnome-settings-daemon
 This package contains header files required to build applications that
 communicate with the GNOME settings daemon over D-Bus.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/default.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs -Wl,-O1 -Wl,--warn-unresolved-symbols
export DEB_LDFLAGS_MAINT_STRIP = -Wl,-Bsymbolic-functions

export GSD_MAJOR_VERSION = $(shell echo $(DEB_VERSION_UPSTREAM) | cut -d~ -f1 | cut -d. -f1)

export deb_udevdir = $(shell pkg-config --variable=udevdir udev | sed s,^/,,)

%:
	dh $@

ifneq ($(DEB_HOST_ARCH_OS),linux)
CONFFLAGS = \
	-Drfkill=false \
	-Dnetwork_manager=false \
	-Dalsa=false \
	-Dcolord=false \
	-Dgudev=false \
	-Dsystemd=false \
	-Dwayland=false \
	-Dwwan=false
endif

override_dh_auto_configure:
	dh_auto_configure -- \
		--libdir=/usr/lib \
		$(CONFFLAGS)

override_dh_auto_test:
# Ignore test failures on some architectures because they
# require working mutter & gnome-session.
# Similar skipping is being done in mutter
ifeq (,$(filter $(DEB_HOST_ARCH), mips64el riscv64))
	xvfb-run --auto-servernum dh_auto_test
else
	xvfb-run --auto-servernum dh_auto_test || true
endif

override_dh_installchangelogs:
	dh_installchangelogs -XChangeLog

# The build system is not installing the polkit policy files on non-linux
# architectures even if the code requires libpolkit-gobject-1 library
ifneq ($(DEB_HOST_ARCH_OS),linux)
execute_before_dh_install:
	grep -E -v 'polkit-1' debian/gnome-settings-daemon.install > debian/gnome-settings-daemon.install.$(DEB_HOST_ARCH_OS)
endif

execute_before_dh_clean:
	rm -f debian/gnome-settings-daemon.install.$(DEB_HOST_ARCH_OS)

override_dh_gnome_clean:

## gnome-settings-daemon 47.1

=== debian/changelog ===
gnome-settings-daemon (47.1-1ubuntu1) oracular; urgency=medium

  * Merge with Debian. Remaining changes:
    + debian/control:
      - Add Build-Depends: accountsservice
    + debian/patches/ubuntu:
      - keyboard-sync-input-sources-to-accountsservice.patch
      - keyboard-Use-ibus-sources-from-locale.patch
      - lid-close-suspend-support.patch
      - media-keys-correct-logout-action.patch
      - media-keys-restore-terminal-keyboard-shortcut-schema.patch
      - print-notifications-suppress-printer-may-not-be-connected.patch
      - teach-gsd-about-the-gnome-calculator-snap-.desktop-name.patch
    + debian/gnome-settings-daemon.install:
      - Install apport hook

 -- Alessandro Astone <alessandro.astone@canonical.com>  Wed, 18 Sep 2024 16:21:02 +0200

gnome-settings-daemon (47.1-1) experimental; urgency=medium

  [ Jeremy Bícha ]
  * New upstream release
  * Disable tests that require working mutter & xwayland.
    Debian only started running these tests in July and they
    became much flakier after they were switched upstream to xwayland
    for 47~rc. (Mitigates: #1081417, #1018437, #1081439, #1081440)

  [ Simon McVittie ]
  * Drop unused Lintian override for #1031037, fixed in Lintian 2.117.0

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 18 Sep 2024 07:35:54 -0400

gnome-settings-daemon (47~rc-1ubuntu1) oracular; urgency=medium

  * Merge with Debian. Remaining changes:
    + debian/control:
      - Add Build-Depends: accountsservice
    + debian/patches/ubuntu:
      - keyboard-sync-input-sources-to-accountsservice.patch
      - keyboard-Use-ibus-sources-from-locale.patch
      - lid-close-suspend-support.patch
      - media-keys-correct-logout-action.patch
      - media-keys-restore-terminal-keyboard-shortcut-schema.patch
      - print-notifications-suppress-printer-may-not-be-connected.patch
      - teach-gsd-about-the-gnome-calculator-snap-.desktop-name.patch
    + debian/gnome-settings-daemon.install:
      - Install apport hook

 -- Alessandro Astone <alessandro.astone@canonical.com>  Thu, 12 Sep 2024 09:35:19 +0200

gnome-settings-daemon (47~rc-1) experimental; urgency=medium

  [ Simon McVittie ]
  * New upstream release
  * d/control: Add Breaks for gnome-shell/mutter older than 47.
    We now need the DisplayConfig and X11 D-Bus interfaces from mutter 47.
  * d/control: Build-depend on a version of gnome-session that fixes
    test suite assumptions
  * d/rules: Ensure that /tmp/.X11-unix exists

  [ Alessandro Astone ]
  * d/control, d/rules: Adapt for tests running in mutter Wayland mode:
    - build-depend on xwayland
    - don't use xvfb but keep xauth for now

  [ Jeremy Bícha ]
  * Run the mutter tests on loong64 since loong64 passes mutter's own tests
  * Upload to experimental until we are ready for the
    gnome-shell/mutter 47 transition

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 11 Sep 2024 08:47:12 -0400

gnome-settings-daemon (47~beta-1ubuntu2) oracular; urgency=medium

  * Update keyboard patch to fix build with gcc-14

 --  Alessandro Astone <alessandro.astone@canonical.com>  Mon, 19 Aug 2024 17:00:51 -0400

gnome-settings-daemon (47~beta-1ubuntu1) oracular; urgency=medium

  * Merge with Debian. Remaining changes:
    + debian/control:
      - Add Build-Depends: accountsservice
    + debian/patches/ubuntu:
      - keyboard-sync-input-sources-to-accountsservice.patch
      - keyboard-Use-ibus-sources-from-locale.patch
      - lid-close-suspend-support.patch
      - media-keys-correct-logout-action.patch
      - media-keys-restore-terminal-keyboard-shortcut-schema.patch
      - print-notifications-suppress-printer-may-not-be-connected.patch
      - teach-gsd-about-the-gnome-calculator-snap-.desktop-name.patch
    + debian/gnome-settings-daemon.install:
      - Install apport hook

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 09 Aug 2024 14:47:01 -0400

gnome-settings-daemon (47~beta-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 09 Aug 2024 14:39:38 -0400

=== debian/control ===
--- 
+++ 
@@ -11,8 +11,6 @@
 Build-Depends: debhelper-compat (= 13),
                dh-exec,
                dh-sequence-gnome,
-               gir1.2-umockdev-1.0 [!hurd-any !alpha !hppa !loong64 !powerpc !ppc64] <!nocheck>,
-               gnome-session-bin [!hurd-any !alpha !hppa !loong64 !powerpc !ppc64] <!nocheck>,
                gsettings-desktop-schemas-dev (>= 46~beta),
                gtk-doc-tools,
                intltool,
@@ -48,17 +46,11 @@
                libxi-dev,
                libxt-dev,
                meson,
-               mutter [!hurd-any !alpha !hppa !loong64 !powerpc !ppc64] <!nocheck>,
                polkitd,
-               python3-dbusmock <!nocheck>,
                python3-gi <!nocheck>,
                systemd-dev [linux-any],
-               udev [linux-any] <!nocheck>,
-               umockdev [!hurd-any !alpha !hppa !loong64 !powerpc !ppc64] <!nocheck>,
-               xauth <!nocheck>,
                xkb-data,
                xserver-xorg-input-wacom [!hurd-any !s390 !s390x],
-               xvfb <!nocheck>
 Standards-Version: 4.7.0
 Homepage: https://gitlab.gnome.org/GNOME/gnome-settings-daemon
 XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/gnome-settings-daemon.git
@@ -82,9 +74,11 @@
             x11-xserver-utils
 Suggests: usbguard
 Breaks: gnome-control-center (<< 1:41.4-2~),
+        gnome-shell (<< 47~rc),
         libgtk-4-0 (<< 3.99.1~),
         libmutter-6-0 (<< 3.37),
-        libmutter-7-0 (<< 3.39)
+        libmutter-7-0 (<< 3.39),
+        mutter-common (<< 47~rc),
 Description: daemon handling the GNOME session settings
  This package contains the daemon which is responsible for setting the
  various parameters of a GNOME session and the applications that run

## gnome-settings-daemon 47.2

=== debian/changelog ===
gnome-settings-daemon (47.2-1ubuntu1) plucky; urgency=medium

  * Merge with Debian. Remaining changes:
    + debian/control:
      - Add Build-Depends: accountsservice
    + debian/patches/ubuntu:
      - keyboard-sync-input-sources-to-accountsservice.patch
      - keyboard-Use-ibus-sources-from-locale.patch
      - lid-close-suspend-support.patch
      - media-keys-correct-logout-action.patch
      - media-keys-restore-terminal-keyboard-shortcut-schema.patch
      - print-notifications-suppress-printer-may-not-be-connected.patch
      - teach-gsd-about-the-gnome-calculator-snap-.desktop-name.patch
    + debian/gnome-settings-daemon.install:
      - Install apport hook
  * d/p/power-disconnect-from-display-config-when-backlight-is-de.patch:
    - Drop patch applied upstream

 -- Alessandro Astone <alessandro.astone@canonical.com>  Fri, 06 Dec 2024 10:18:52 +0100

gnome-settings-daemon (47.2-1) unstable; urgency=medium

  * New upstream release (LP: #2085060)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 21 Nov 2024 16:57:43 -0500

gnome-settings-daemon (47.1-2) unstable; urgency=medium

  [ Simon McVittie ]
  * Fix a typo in a bug number in the previous changelog entry

  [ Jeremy Bícha ]
  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 04 Oct 2024 19:23:21 -0400

gnome-settings-daemon (47.1-1ubuntu2) plucky; urgency=medium

  * Backport patch to fix memory corruption crashes (LP: #2085060)

 -- Alessandro Astone <alessandro.astone@canonical.com>  Thu, 21 Nov 2024 21:16:08 +0100

=== debian/control ===
--- 
+++ 
@@ -55,8 +55,8 @@
 Homepage: https://gitlab.gnome.org/GNOME/gnome-settings-daemon
 XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/gnome-settings-daemon.git
 XS-Debian-Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-settings-daemon
-Vcs-Git: https://salsa.debian.org/gnome-team/gnome-settings-daemon.git -b ubuntu/master
-Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-settings-daemon/tree/ubuntu/master
+Vcs-Git: https://salsa.debian.org/gnome-team/gnome-settings-daemon.git -b ubuntu/latest
+Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-settings-daemon/tree/ubuntu/latest
 Rules-Requires-Root: no
 
 Package: gnome-settings-daemon

## gnome-settings-daemon 48~beta

=== debian/changelog ===
gnome-settings-daemon (48~beta-1) unstable; urgency=medium

  * New upstream release
  * Remove obsolete Breaks/Replaces

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 04 Feb 2025 08:46:39 -0500

## gnome-settings-daemon 48.0

=== debian/changelog ===
gnome-settings-daemon (2:48.0-2) unstable; urgency=medium

  * Patched backlight for librem 5

 -- Pedro Echanove <pedro.echanove@liberux.net>  Tue, 30 Sep 2025 13:20:36 +0200

gnome-settings-daemon (2:48.0-1) unstable; urgency=medium

  * New upstream version

 -- Pedro Echanove <pedro.echanove@liberux.net>  Fri, 26 Sep 2025 14:03:42 +0200

gnome-settings-daemon (48.1-2) unstable; urgency=medium

  * Add Recommends: systemd-oomd (Closes: #1111296)
  * Bump Standards Version to 4.7.2

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 16 Aug 2025 11:17:46 -0400

gnome-settings-daemon (48.1-1) unstable; urgency=medium

  * New upstream release (LP: #2105397)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 24 Apr 2025 08:30:36 -0400

gnome-settings-daemon (48.0-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 17 Mar 2025 13:33:33 -0400

gnome-settings-daemon (48~rc-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 03 Mar 2025 17:16:17 -0500

=== debian/rules ===
--- 
+++ 
@@ -30,16 +30,6 @@
 		--libdir=/usr/lib \
 		$(CONFFLAGS)
 
-override_dh_auto_test:
-# Ignore test failures on some architectures because they
-# require working mutter & gnome-session.
-# Similar skipping is being done in mutter
-ifeq (,$(filter $(DEB_HOST_ARCH), mips64el riscv64))
-	xvfb-run --auto-servernum dh_auto_test
-else
-	xvfb-run --auto-servernum dh_auto_test || true
-endif
-
 override_dh_installchangelogs:
 	dh_installchangelogs -XChangeLog
 
@@ -54,3 +44,5 @@
 	rm -f debian/gnome-settings-daemon.install.$(DEB_HOST_ARCH_OS)
 
 override_dh_gnome_clean:
+
+override_dh_auto_test:

## gnome-settings-daemon 48.1

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: gnome-settings-daemon
 Section: gnome
 Priority: optional
-Maintainer: Ubuntu Desktop Team <ubuntu-desktop@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Amin Bandali <bandali@ubuntu.com>,
            Gunnar Hjalmarsson <gunnarhj@debian.org>,
            Jeremy Bícha <jbicha@ubuntu.com>,
@@ -14,7 +13,6 @@
                gsettings-desktop-schemas-dev (>= 46~beta),
                gtk-doc-tools,
                intltool,
-               libaccountsservice-dev (>= 0.6.34),
                libasound2-dev [linux-any],
                libcanberra-gtk3-dev,
                libcolord-dev [linux-any],
@@ -51,12 +49,10 @@
                systemd-dev [linux-any],
                xkb-data,
                xserver-xorg-input-wacom [!hurd-any !s390 !s390x],
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://gitlab.gnome.org/GNOME/gnome-settings-daemon
-XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/gnome-settings-daemon.git
-XS-Debian-Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-settings-daemon
-Vcs-Git: https://salsa.debian.org/gnome-team/gnome-settings-daemon.git -b ubuntu/latest
-Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-settings-daemon/tree/ubuntu/latest
+Vcs-Git: https://salsa.debian.org/gnome-team/gnome-settings-daemon.git
+Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-settings-daemon
 Rules-Requires-Root: no
 
 Package: gnome-settings-daemon
@@ -71,13 +67,10 @@
 Recommends: iio-sensor-proxy,
             pipewire-audio,
             pkexec,
+            systemd-oomd,
             x11-xserver-utils
 Suggests: usbguard
-Breaks: gnome-control-center (<< 1:41.4-2~),
-        gnome-shell (<< 47~rc),
-        libgtk-4-0 (<< 3.99.1~),
-        libmutter-6-0 (<< 3.37),
-        libmutter-7-0 (<< 3.39),
+Breaks: gnome-shell (<< 47~rc),
         mutter-common (<< 47~rc),
 Description: daemon handling the GNOME session settings
  This package contains the daemon which is responsible for setting the
@@ -97,8 +90,6 @@
 Package: gnome-settings-daemon-common
 Architecture: all
 Depends: ${misc:Depends}
-Replaces: gnome-settings-daemon-schemas (<< 3.30.1.2-2~)
-Breaks: gnome-settings-daemon-schemas (<< 3.30.1.2-2~)
 Provides: gnome-settings-daemon-schemas (= ${source:Version})
 Description: daemon handling the GNOME session settings - common files
  This package contains GSettings schemas and other architecture-independent

## gnome-settings-daemon 49~beta

=== debian/changelog ===
gnome-settings-daemon (49~beta-0ubuntu1) questing; urgency=medium

  [ Daniel van Vugt ]
  * New upstream release 49.beta
  * Remove now empty directory: usr/share/polkit-1
  * Build dependency changes:
    - Drop build-depends on wacom packages
    - Bump requirement to gnome-desktop-4
    - The libcanberra-gtk3 build dep changed to libcanberra
    - Add python3-dbusmock build/test dependency
  * Refresh patches:
    - keyboard-sync-input-sources-to-accountsservice.patch
    - media-keys-restore-terminal-keyboard-shortcut-schema.patch
    - teach-gsd-about-the-gnome-calculator-snap-.desktop-name.patch
  * Add patches:
    - power-test-Disable-known-broken-test.patch
    - gsd-donation-reminder-Disable-for-Ubuntu-sessions.patch

  [ Alessandro Astone ]
  * debian/control: Add Breaks for dropping org.gnome.SettingsDaemon.Wacom
  * debian/watch: Look for alpha releases

 -- Daniel van Vugt <daniel.van.vugt@canonical.com>  Wed, 06 Aug 2025 16:10:20 +0800

gnome-settings-daemon (48.1-1ubuntu1) questing; urgency=medium

  * Merge with Debian unstable (LP: #2112003). Remaining changes:
    + debian/control:
      - Add Build-Depends: accountsservice
    + debian/patches/ubuntu:
      - keyboard-sync-input-sources-to-accountsservice.patch
      - keyboard-Use-ibus-sources-from-locale.patch
      - lid-close-suspend-support.patch
      - media-keys-restore-terminal-keyboard-shortcut-schema.patch
      - print-notifications-suppress-printer-may-not-be-connected.patch
      - teach-gsd-about-the-gnome-calculator-snap-.desktop-name.patch
    + debian/gnome-settings-daemon.install:
      - Install apport hook
  * Rebase patches
  * Dropped changes as they were upstreamed:
    * d/p/power-Ensure-backlight-iface-signal-gets-emited-on-startu.patch:
      Add proposed patch to restore the brightness slider in quicksettings
      (LP #2105397)

 -- Ural Tunaboyu <ural.tunaboyu@canonical.com>  Tue, 03 Jun 2025 11:57:04 -0700

gnome-settings-daemon (48.0-1ubuntu2) plucky; urgency=medium

  * d/p/power-Ensure-backlight-iface-signal-gets-emited-on-startu.patch:
    Add proposed patch to restore the brightness slider in quicksettings
    LP: #2105397

 -- Alessandro Astone <alessandro.astone@canonical.com>  Tue, 08 Apr 2025 20:39:38 +0200

gnome-settings-daemon (48.0-1ubuntu1) plucky; urgency=medium

  * Merge with Debian. Remaining changes:
    + debian/control:
      - Add Build-Depends: accountsservice
    + debian/patches/ubuntu:
      - keyboard-sync-input-sources-to-accountsservice.patch
      - keyboard-Use-ibus-sources-from-locale.patch
      - lid-close-suspend-support.patch
      - media-keys-restore-terminal-keyboard-shortcut-schema.patch
      - print-notifications-suppress-printer-may-not-be-connected.patch
      - teach-gsd-about-the-gnome-calculator-snap-.desktop-name.patch
    + debian/gnome-settings-daemon.install:
      - Install apport hook
  * Rebase patches

 -- Alessandro Astone <alessandro.astone@canonical.com>  Wed, 19 Mar 2025 13:17:07 +0100

gnome-settings-daemon (48~rc-1ubuntu1) plucky; urgency=medium

  * Merge with Debian. Remaining changes:
    + debian/control:
      - Add Build-Depends: accountsservice
    + debian/patches/ubuntu:
      - keyboard-sync-input-sources-to-accountsservice.patch
      - keyboard-Use-ibus-sources-from-locale.patch
      - lid-close-suspend-support.patch
      - media-keys-restore-terminal-keyboard-shortcut-schema.patch
      - print-notifications-suppress-printer-may-not-be-connected.patch
      - teach-gsd-about-the-gnome-calculator-snap-.desktop-name.patch
    + debian/gnome-settings-daemon.install:
      - Install apport hook

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 03 Mar 2025 17:25:38 -0500

gnome-settings-daemon (48~beta-1ubuntu1) plucky; urgency=medium

  * Merge with Debian. Remaining changes:
    + debian/control:
      - Add Build-Depends: accountsservice
    + debian/patches/ubuntu:
      - keyboard-sync-input-sources-to-accountsservice.patch
      - keyboard-Use-ibus-sources-from-locale.patch
      - lid-close-suspend-support.patch
      - media-keys-restore-terminal-keyboard-shortcut-schema.patch
      - print-notifications-suppress-printer-may-not-be-connected.patch
      - teach-gsd-about-the-gnome-calculator-snap-.desktop-name.patch
    + debian/gnome-settings-daemon.install:
      - Install apport hook
  * Remove media-keys-correct-logout-action.patch: issue fixed in new release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 04 Feb 2025 08:54:48 -0500

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: gnome-settings-daemon
 Section: gnome
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Desktop Team <ubuntu-desktop@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Amin Bandali <bandali@ubuntu.com>,
            Gunnar Hjalmarsson <gunnarhj@debian.org>,
            Jeremy Bícha <jbicha@ubuntu.com>,
@@ -13,8 +14,9 @@
                gsettings-desktop-schemas-dev (>= 46~beta),
                gtk-doc-tools,
                intltool,
+               libaccountsservice-dev (>= 0.6.34),
                libasound2-dev [linux-any],
-               libcanberra-gtk3-dev,
+               libcanberra-dev,
                libcolord-dev [linux-any],
                libcups2-dev,
                libfontconfig-dev,
@@ -23,7 +25,7 @@
                libgeocode-glib-dev (>= 3.26.3),
                libglib2.0-dev,
                libglib2.0-dev:native,
-               libgnome-desktop-3-dev,
+               libgnome-desktop-4-dev,
                libgtk-3-dev,
                libgudev-1.0-dev [linux-any],
                libgweather-4-dev (>= 4.1),
@@ -37,7 +39,6 @@
                libpulse-dev,
                libsystemd-dev [linux-any],
                libupower-glib-dev (>= 0.99.12),
-               libwacom-dev [!hurd-any !s390 !s390x],
                libx11-dev,
                libxext-dev,
                libxfixes-dev (>= 1:6.0),
@@ -45,14 +46,16 @@
                libxt-dev,
                meson,
                polkitd,
+               python3-dbusmock <!nocheck>,
                python3-gi <!nocheck>,
                systemd-dev [linux-any],
                xkb-data,
-               xserver-xorg-input-wacom [!hurd-any !s390 !s390x],
-Standards-Version: 4.7.2
+Standards-Version: 4.7.0
 Homepage: https://gitlab.gnome.org/GNOME/gnome-settings-daemon
-Vcs-Git: https://salsa.debian.org/gnome-team/gnome-settings-daemon.git
-Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-settings-daemon
+XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/gnome-settings-daemon.git
+XS-Debian-Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-settings-daemon
+Vcs-Git: https://salsa.debian.org/gnome-team/gnome-settings-daemon.git -b ubuntu/latest
+Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-settings-daemon/tree/ubuntu/latest
 Rules-Requires-Root: no
 
 Package: gnome-settings-daemon
@@ -67,7 +70,6 @@
 Recommends: iio-sensor-proxy,
             pipewire-audio,
             pkexec,
-            systemd-oomd,
             x11-xserver-utils
 Suggests: usbguard
 Breaks: gnome-shell (<< 47~rc),
@@ -91,6 +93,11 @@
 Architecture: all
 Depends: ${misc:Depends}
 Provides: gnome-settings-daemon-schemas (= ${source:Version})
+Breaks: gdm (<< 49~alpha.1),
+        gnome-initial-setup (<< 49~alpha),
+        gnome-session (<< 49~alpha.1),
+        ubuntu-session (<< 49~alpha.1),
+        gnome-shell (<< 49~alpha.1),
 Description: daemon handling the GNOME session settings - common files
  This package contains GSettings schemas and other architecture-independent
  files for GNOME Settings Daemon. It is probably not interesting on its own for

## gnome-settings-daemon 49~rc

=== debian/changelog ===
gnome-settings-daemon (49~rc-0ubuntu1) questing; urgency=medium

  * New upstream release 49.rc
  * debian/install: Drop empty etc/xdg/autostart directory

 -- Alessandro Astone <alessandro.astone@canonical.com>  Fri, 05 Sep 2025 15:21:19 +0200

## gnome-settings-daemon 49.0

=== debian/changelog ===
gnome-settings-daemon (49.0-1ubuntu2) questing; urgency=medium

  * Merge with debian. Remaining changes:
    + debian/control:
      - Add Build-Depends: accountsservice
    + debian/patches/ubuntu:
      - keyboard-sync-input-sources-to-accountsservice.patch
      - keyboard-Use-ibus-sources-from-locale.patch
      - lid-close-suspend-support.patch
      - media-keys-restore-terminal-keyboard-shortcut-schema.patch
      - print-notifications-suppress-printer-may-not-be-connected.patch
      - teach-gsd-about-the-gnome-calculator-snap-.desktop-name.patch
    + debian/gnome-settings-daemon.install:
      - Install apport hook
  * d/p/u/gsd-donation-reminder: Drop patch, moved to ubuntu-settings
    (LP: #2125267)
  * d/p/u: Refresh patches

 -- Alessandro Astone <alessandro.astone@canonical.com>  Mon, 22 Sep 2025 17:48:24 +0200

gnome-settings-daemon (49.0-1) experimental; urgency=medium

  [ Jeremy Bícha ]
  * New upstream release

  [ Alessandro Astone ]
  * debian/control: Add Breaks for dropping org.gnome.SettingsDaemon.Wacom
  * debian/install: Drop empty etc/xdg/autostart directory

  [ Daniel van Vugt ]
  * debian/control: Move the Wacom "Breaks" to the common package
  * debian/control: Add missing build/test dependency on python3-dbusmock
  * debian/control: Bump requirement to gnome-desktop-4
  * debian/control: The libcanberra-gtk3 build dep changed to libcanberra
  * debian/control: Remove build-depends on GTK
  * debian/control: Remove build-depends on wacom packages
  * debian/control: Remove build-depends on polkitd
  * debian: Remove now empty directory: usr/share/polkit-1

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 20 Sep 2025 13:37:06 -0400

gnome-settings-daemon (49.0-1ubuntu1) questing; urgency=medium

  * Set ubuntu version number:
    - The package is not actually in sync with Debian
    - The previous upload should have been 49.0-0ubuntu1
    - Set version 49.0-1ubuntu1 now to avoid future automatic syncs

 -- Alessandro Astone <alessandro.astone@canonical.com>  Mon, 15 Sep 2025 14:24:45 +0200

gnome-settings-daemon (49.0-1) questing; urgency=medium

  * New upstream release

 -- Alessandro Astone <alessandro.astone@canonical.com>  Mon, 15 Sep 2025 12:47:04 +0200

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,6 @@
                dh-exec,
                dh-sequence-gnome,
                gsettings-desktop-schemas-dev (>= 46~beta),
-               gtk-doc-tools,
                intltool,
                libaccountsservice-dev (>= 0.6.34),
                libasound2-dev [linux-any],
@@ -23,10 +22,10 @@
                libgcr-4-dev [linux-any],
                libgeoclue-2-dev,
                libgeocode-glib-dev (>= 3.26.3),
+               libgio-2.0-dev,
                libglib2.0-dev,
                libglib2.0-dev:native,
                libgnome-desktop-4-dev,
-               libgtk-3-dev,
                libgudev-1.0-dev [linux-any],
                libgweather-4-dev (>= 4.1),
                libibus-1.0-dev,
@@ -45,12 +44,11 @@
                libxi-dev,
                libxt-dev,
                meson,
-               polkitd,
                python3-dbusmock <!nocheck>,
                python3-gi <!nocheck>,
                systemd-dev [linux-any],
                xkb-data,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://gitlab.gnome.org/GNOME/gnome-settings-daemon
 XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/gnome-settings-daemon.git
 XS-Debian-Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-settings-daemon
@@ -70,6 +68,7 @@
 Recommends: iio-sensor-proxy,
             pipewire-audio,
             pkexec,
+            systemd-oomd,
             x11-xserver-utils
 Suggests: usbguard
 Breaks: gnome-shell (<< 47~rc),

## gnome-settings-daemon 49.1

=== meson_options.txt ===
option('udev_dir', type: 'string', value: '', description: 'Absolute path of the udev base directory')
option('systemd', type: 'boolean', value: true, description: 'Enable systemd integration')
option('elogind', type: 'boolean', value: false, description: 'Use elogind')
option('alsa', type: 'boolean', value: true, description: 'build with ALSA support (not optional on Linux platforms)')
option('gudev', type: 'boolean', value: true, description: 'build with gudev device support (not optional on Linux platforms)')
option('cups', type: 'boolean', value: true, description: 'build with CUPS support')
option('network_manager', type: 'boolean', value: true, description: 'build with NetworkManager support (not optional on Linux platforms)')
option('rfkill', type: 'boolean', value: true, description: 'build with rfkill support (not optional on Linux platforms)')
option('smartcard', type: 'boolean', value: true, description: 'build with smartcard support')
option('usb-protection', type: 'boolean', value: true, description: 'build with usb-protection support')
option('wwan', type: 'boolean', value: true, description: 'build with WWAN support')
option('gcr3', type: 'boolean', value: false, description: 'build with gcr3, otherwise gcr4 is used')
option('colord', type: 'boolean', value: true, description: 'build with colord support')
option('x11', type: 'boolean', value: false, description: 'build with X11 sessions support')
option('xwayland', type: 'boolean', value: true, description: 'build with Xwayland support')

=== debian/changelog ===
gnome-settings-daemon (49.1-5) unstable; urgency=medium

  * Team upload
  * d/watch, d/gbp.conf, d/control: Branch for 49.x.
    The debian/latest branch is now in use for early packaging of GNOME
    50 targeting experimental.
  * d/patches: Make donation reminder less intrusive.
    Add patches from upstream gnome-49 branch lowering its urgency setting
    so that it won't bypass the bypass the do-not-disturb setting or
    interrupt fullscreen apps. (Helps: #1120511)
  * d/patches/libgvc: Update libgvc to prevent crashes with newer Pipewire.
    This updates it to 47c47a42 (2026-01-23) which is the latest version,
    and the version currently used in g-s-d's main branch.
    (Closes: #1126544, #1124666)

 -- Simon McVittie <smcv@debian.org>  Wed, 28 Jan 2026 13:26:08 +0000

gnome-settings-daemon (49.1-4) unstable; urgency=medium

  * Fix hurd build

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 09 Dec 2025 20:59:41 -0500

gnome-settings-daemon (49.1-3) unstable; urgency=medium

  * Update build options for hurd
  * Remove unnecessary Build-Depends: libpackagekit-glib2-dev
  * Remove unnecessary Priority: optional field

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 09 Dec 2025 18:08:58 -0500

gnome-settings-daemon (49.1-2) unstable; urgency=medium

  * Team upload
  * Release to unstable (transition: #1116394)

 -- Simon McVittie <smcv@debian.org>  Fri, 31 Oct 2025 10:51:28 +0000

gnome-settings-daemon (49.1-1) experimental; urgency=medium

  * Team upload

  [ Simon McVittie ]
  * New upstream release
  * d/watch: Update to uscan syntax v5
  * d/copyright: Don't quote the FSF's former postal address here
  * d/control: Remove Gunnar Hjalmarsson from Uploaders (Closes: #1069566)
  * d/control: Remove Rules-Requires-Root, unnecessary since trixie

  [ Alessandro Astone ]
  * d/maintscript: Remove obsolete autostart desktop files

  [ Guido Günther ]
  * debian/control: Add breaks on Phosh for dropping backlight handling

 -- Simon McVittie <smcv@debian.org>  Wed, 15 Oct 2025 13:49:31 +0100

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,7 @@
 Source: gnome-settings-daemon
 Section: gnome
-Priority: optional
-Maintainer: Ubuntu Desktop Team <ubuntu-desktop@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Amin Bandali <bandali@ubuntu.com>,
-           Gunnar Hjalmarsson <gunnarhj@debian.org>,
            Jeremy Bícha <jbicha@ubuntu.com>,
            Laurent Bigonville <bigon@debian.org>,
            Marco Trevisan (Treviño) <marco@ubuntu.com>
@@ -13,7 +10,6 @@
                dh-sequence-gnome,
                gsettings-desktop-schemas-dev (>= 46~beta),
                intltool,
-               libaccountsservice-dev (>= 0.6.34),
                libasound2-dev [linux-any],
                libcanberra-dev,
                libcolord-dev [linux-any],
@@ -33,7 +29,6 @@
                libmm-glib-dev [linux-any],
                libnm-dev [linux-any],
                libnotify-dev,
-               libpackagekit-glib2-dev,
                libpolkit-gobject-1-dev (>= 0.114),
                libpulse-dev,
                libsystemd-dev [linux-any],
@@ -48,13 +43,11 @@
                python3-gi <!nocheck>,
                systemd-dev [linux-any],
                xkb-data,
+               xserver-xorg-input-wacom [!hurd-any !s390x]
 Standards-Version: 4.7.2
 Homepage: https://gitlab.gnome.org/GNOME/gnome-settings-daemon
-XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/gnome-settings-daemon.git
-XS-Debian-Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-settings-daemon
-Vcs-Git: https://salsa.debian.org/gnome-team/gnome-settings-daemon.git -b ubuntu/latest
-Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-settings-daemon/tree/ubuntu/latest
-Rules-Requires-Root: no
+Vcs-Git: https://salsa.debian.org/gnome-team/gnome-settings-daemon.git -b debian/forky
+Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-settings-daemon
 
 Package: gnome-settings-daemon
 Architecture: any
@@ -73,6 +66,7 @@
 Suggests: usbguard
 Breaks: gnome-shell (<< 47~rc),
         mutter-common (<< 47~rc),
+        phosh (<< 0.50~rc)
 Description: daemon handling the GNOME session settings
  This package contains the daemon which is responsible for setting the
  various parameters of a GNOME session and the applications that run
@@ -95,8 +89,8 @@
 Breaks: gdm (<< 49~alpha.1),
         gnome-initial-setup (<< 49~alpha),
         gnome-session (<< 49~alpha.1),
-        ubuntu-session (<< 49~alpha.1),
         gnome-shell (<< 49~alpha.1),
+        ubuntu-session (<< 49~alpha.1)
 Description: daemon handling the GNOME session settings - common files
  This package contains GSettings schemas and other architecture-independent
  files for GNOME Settings Daemon. It is probably not interesting on its own for
@@ -109,8 +103,7 @@
 Architecture: any
 Multi-Arch: same
 Depends: libglib2.0-dev,
-         ${misc:Depends},
-         ${shlibs:Depends}
+         ${misc:Depends}
 Description: Headers for building applications communicating with gnome-settings-daemon
  This package contains header files required to build applications that
  communicate with the GNOME settings daemon over D-Bus.

=== debian/rules ===
--- 
+++ 
@@ -20,9 +20,10 @@
 	-Dalsa=false \
 	-Dcolord=false \
 	-Dgudev=false \
+	-Dsmartcard=false \
 	-Dsystemd=false \
-	-Dwayland=false \
-	-Dwwan=false
+	-Dwwan=false \
+	-Dxwayland=false
 endif
 
 override_dh_auto_configure:
@@ -32,17 +33,3 @@
 
 override_dh_installchangelogs:
 	dh_installchangelogs -XChangeLog
-
-# The build system is not installing the polkit policy files on non-linux
-# architectures even if the code requires libpolkit-gobject-1 library
-ifneq ($(DEB_HOST_ARCH_OS),linux)
-execute_before_dh_install:
-	grep -E -v 'polkit-1' debian/gnome-settings-daemon.install > debian/gnome-settings-daemon.install.$(DEB_HOST_ARCH_OS)
-endif
-
-execute_before_dh_clean:
-	rm -f debian/gnome-settings-daemon.install.$(DEB_HOST_ARCH_OS)
-
-override_dh_gnome_clean:
-
-override_dh_auto_test:
